> For AI agents: [llms.txt](https://docs.trustedauth.com/llms.txt) provides a Markdown index of this documentation.

# Fetch Android association file for a FIDO relying party

`POST /api/web/v1/settings/fido/configuration/android`

Fetch Android association file for a FIDO relying party. Caller requires the SETTINGS:VIEW permission.

## Request Body

Required.

### application/json

Schema

```json
{
  "required": [
    "rpId"
  ],
  "type": "object",
  "properties": {
    "rpId": {
      "type": "string",
      "description": "The relying party ID that hosts the association file.",
      "example": "example.com"
    }
  },
  "description": "Represents the request body for downloading association file APIs for Android and Apple.",
  "title": "FIDOAssociationFileRequest"
}
```

## Responses

### 200

Successful

#### application/json

Schema

```json
{
  "type": "array",
  "items": {
    "required": [
      "relation",
      "target"
    ],
    "type": "object",
    "properties": {
      "relation": {
        "type": "array",
        "description": "List of relationships describing the association permissions between the website and the app.",
        "items": {
          "type": "string",
          "description": "List of relationships describing the association permissions between the website and the app."
        }
      },
      "target": {
        "required": [
          "namespace"
        ],
        "type": "object",
        "properties": {
          "namespace": {
            "type": "string",
            "description": "The namespace string for the association.",
            "example": "android_app"
          },
          "package_name": {
            "type": "string",
            "description": "The package name of the Android app.",
            "example": "com.example.myapp"
          },
          "sha256_cert_fingerprints": {
            "type": "array",
            "description": "The list of SHA-256 certificate fingerprints for the signing certificates.",
            "example": "[C8:64:56:31:CF:2D:A9:3D:68:14:AD:9F:90:46:FC:16:3B:4E:50:4F:C7:FF:A4:8E:73:23:1B:0F:76:EC:93:B4]",
            "items": {
              "type": "string",
              "description": "The list of SHA-256 certificate fingerprints for the signing certificates.",
              "example": "[C8:64:56:31:CF:2D:A9:3D:68:14:AD:9F:90:46:FC:16:3B:4E:50:4F:C7:FF:A4:8E:73:23:1B:0F:76:EC:93:B4]"
            }
          }
        },
        "description": "Represents the 'target' field structure of assetlinks.json file that contains namespace, package name and  certificate fingerprints.",
        "title": "FIDOAndroidAssetLinksTargets"
      }
    },
    "description": "Represents the structure of 'assetlinks.json' Android association file.",
    "title": "FIDOAndroidAssetLinks"
  }
}
```

### 400

Bad Request

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 401

Access denied

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 403

Forbidden

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 404

Not Found

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 409

Conflict

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

## Security

Requirements

```json
[
  {
    "AdminAPIAuthentication": [
      "SETTINGS:VIEW"
    ]
  }
]
```
